package org.springblade.estate.feign;

import org.springblade.core.mp.support.BladePage;
import org.springblade.estate.dto.GuestAuthorizeDTO;
import org.springblade.estate.entity.GuestAuthorize;
import org.springblade.estate.vo.GuestAuthorizeVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;

@Component
public class GuestAuthorizeClientFallback implements IGuestAuthorizeClient {
            /**
         * 详情
         */
        @Override
        public GuestAuthorizeVO detail(GuestAuthorize guestAuthorize) {
            return null;
        }

        /**
         * 查询 访客授权记录
         */
        @Override
        public List<GuestAuthorizeVO> list(GuestAuthorize guestAuthorize) {
            return null;
        }

	@Override
	public List<GuestAuthorizeVO> getListByUsers(List<Long> userIds) {
		return new ArrayList<>();
	}


	/**
         * 新增 访客授权记录
         */
        @Override
        public GuestAuthorize save( GuestAuthorize guestAuthorize) {
            return null;
        }

        /**
         * 修改 访客授权记录
         */
        @Override
        public boolean update( GuestAuthorize guestAuthorize) {
            return false;
        }

        /**
         * 新增或修改 访客授权记录
         */
        @Override
        public boolean submit( GuestAuthorize guestAuthorize) {
            return false;
        }


        /**
         * 删除 访客授权记录
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    @Override
    public BladePage<GuestAuthorize> pageOfMonth(GuestAuthorizeDTO guestAuthorizeDTO) {
        return null;
    }

}
